Page MenuHomePhabricator

VisualEditor: [Regression pre-wmf7] The group names inside "Use this group" field are appearing in a short form like "g..." for both "References list" and "Basic Reference" dialog when you open these dialogs first time in a session
Closed, ResolvedPublic

Description

Screenshot

Steps to reproduce:

1.Open a page with VE
2.Go to Basic References or References list dialog
3.Place cursor inside the "Use this group" combo box

Observed Result:
The group names for reference list are appearing in a short form

See the screenshot attached


Version: unspecified
Severity: normal

Attached:

Details

Reference
bz72783

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 3:51 AM
bzimport set Reference to bz72783.
Ryasmeen created this task.Oct 30 2014, 8:38 PM

James thinks this may be a regression from https://gerrit.wikimedia.org/r/#/c/169968/

Trevor says it's probably caused by the menu being shown too early.

Confirmed that this is a regression from https://gerrit.wikimedia.org/r/#/c/169968/

Elitre added a comment.Nov 3 2014, 8:18 AM

(Is this different from Bug 72785?)

(In reply to Elitre from comment #4)

(Is this different from Bug 72785?)

Yes. That's about the height of the box, this is about the width of the text.

gerritadmin wrote:

Change 170784 had a related patch set uploaded by Catrope:
MWReferenceGroupInputWidget: Remove dummy call to onInputChange()

https://gerrit.wikimedia.org/r/170784

(In reply to Gerrit Notification Bot from comment #6)

Change 170784 had a related patch set uploaded by Catrope:
MWReferenceGroupInputWidget: Remove dummy call to onInputChange()
https://gerrit.wikimedia.org/r/170784

This patch doesn't look like it fixes this bug?

gerritadmin wrote:

Change 170784 merged by jenkins-bot:
MWReferenceGroupInputWidget: Remove dummy call to onInputChange()

https://gerrit.wikimedia.org/r/170784

Verified the fix in Betalabs

Verified the fix in test2

Verified the fix in production